Subject: Re: [OPSAWG] Comments on draft-akhter-opsawg-perfmon-ipfix-02

From: "Jan Novak (janovak)" <[email-masked]>
Date: Fri, 3 Aug 2012 14:40:00 +0000

Hi again,

Thanks for applying the comments.

AA> Jan, can you look again ? Is there still a problem?

No, sorry missed the TBD or its significance.

AA> We're open to adding scope (as defined as which set of packets would this be applicable to).
AA> Would you agree that this is more of a methodology item than a IE item?

Yes, indeed, whichever of Observation domain/Scope it is, it is not the property of the IE.

Jan

The climate of Edinburgh is such that the weak succumb young,
and the strong envy them ....
                                 Dr. Johnson

-----Original Message-----
From: Aamer Akhter (aakhter) 
Sent: 30 July 2012 16:50
To: Jan Novak (janovak); [email-masked]'; [email-masked]'
Cc: 'Al Morton'; [email-masked]'; Hendrik Scholz
Subject: RE: Comments on draft-akhter-opsawg-perfmon-ipfix-02

Hi Jan,

Thank-you for the review. Please find my comments below. We Hendrik and I will be publishing -03 shortly. 

-----Original Message-----
From: Jan Novak (janovak) 
Sent: Tuesday, May 22, 2012 4:58 AM
To: Aamer Akhter (aakhter); [email-masked]; [email-masked]
Cc: Al Morton; [email-masked]
Subject: Comments on draft-akhter-opsawg-perfmon-ipfix-02

Hi Amer,

I have reviewed your draft draft-akhter-opsawg-perfmon-ipfix-02.txt.

There seems to be a lot of text overlap with your methodology document - section 1,3, 4 could probably be abbreviated or omitted leaving the document just with raw IPFIX IE specifications or just add the IE specification as sub-sections or a new section into the first document ?? 

AA> I agree that there is overlap, but it was retained for readability. But I see your point regarding keeping the focus on the IEs in the IPFIX version of the draft.  Will strip some of the detail in the IPFIX version.

Section 2 uses definitions from RFC5610 - I think those you use there are defined in RFC5102 as DataTypeSemantic, units and range while
RFC5610 specifies how this information should be exported - here you are defining the IE itself so you should use the definitions from RFC5102

AA> I think I had used RFC5610 as it seemed to be a bit more specific about it (eg rangeBegin and rangeEnd  rather than just range). But we are fine either way depending on feedback.

Also the methodology documents already speaks in terms of IPFIX IEs while you are trying to specify some performance metrics - the methodology could have names and an exact definitions of the metric and then a reference which IE represents the particular metric

AA> will update the methodology doc with exact definitions and reference the IEs. 

RFC5102 section 2.1 specifies a template for IEs with a MUST so the MUST entries should be literally followed in your IEs spec
- namely name, elementID, description, dataType and status.